# Endpoint Alerts

Alerts allow triggering SMS or phone call messages to users when an event occurs. To create an alert first add a role to the endpoints. In this example the role `alert` will be used. At least one role on the endpoint must match a role on the alert. A subscription is required for this functionality.

### Create Alert

For this example an alert will be created to trigger when the endpoint memory usage exceeds 90%. From the *Alerts* tab click *New*. Then set the *Name* to `high-memory` and add the role `alert`. The set the *Alert Type* to *Memory Usage Threshold*. Set the *Usage Threshold* to `90`.

The *Alert Level* will determine which user devices receive the alert. When a user device is configured each alert level will be configurable. This can be useful to send a phone call for high priority alerts and an SMS message for low priority alerts. The *Alert Frequency* will determine the minimum amount of time in minutes between repeat alerts. The alert will continue to be sent until the condition clears. Once done click *Save*.

If configured correctly the name of this alert should be listed in the *Endpoints* page.

![](/files/Z2uvMcAsokbTwIGmsJtS)

### Add Phone

Refer to the [**Endpoint Phone**](/kb/zero/endpoint/endpoint-phone.md) section to add a phone to receive alerts.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pritunl.com/kb/zero/endpoint/endpoint-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
